"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const { name: kubernetesBasicsDocs } = require('@kui-shell/plugin-tutorials/samples/@tutorials/kubernetes-basics/package.json');
const { name: codingBasicsDocs } = require('@kui-shell/plugin-tutorials/samples/@tutorials/coding-basics/package.json');
const { name: combinatorsDocs } = require('@kui-shell/plugin-tutorials/samples/@tutorials/combinators/package.json');
const core_1 = require("@kui-shell/core");
exports.default = (commandTree) => __awaiter(void 0, void 0, void 0, function* () {
    commandTree.listen('/tutorial/kubernetes/starter', () => core_1.REPL.qexec('tutorial play @tutorials/kubernetes-basics --top-level'), {
        usage: { command: 'basics', docs: kubernetesBasicsDocs },
        needsUI: true,
        inBrowserOk: true,
        noAuthOk: true
    });
    commandTree.listen('/tutorial/composer/basics', () => core_1.REPL.qexec('tutorial play @tutorials/coding-basics --top-level'), {
        usage: { command: 'basics', docs: codingBasicsDocs },
        needsUI: true,
        inBrowserOk: true,
        noAuthOk: true
    });
    commandTree.listen('/tutorial/combinators', () => core_1.REPL.qexec('tutorial play @tutorials/combinators --top-level'), {
        usage: { command: 'started', docs: combinatorsDocs },
        needsUI: true,
        inBrowserOk: true,
        noAuthOk: true
    });
});
//# sourceMappingURL=shortcuts.js.map